
import 'dart:ui';

import 'package:flutter/material.dart';

class DetailScreen5 extends StatefulWidget {
  const DetailScreen5({super.key});

  @override
  State<DetailScreen5> createState() => _DetailScreen5State();
}

class _DetailScreen5State extends State<DetailScreen5> {

  String selectedSize = 'Small';
  bool isChecked = false;
  bool onion = false;
  final List<String> itemList = [];
  int extraprice =0;
  int price=10;

  void _items(String itemValue, bool isSelected) {
    setState(() {
      if (isSelected) {
        itemList.add(itemValue);
      } else {
        itemList.remove(itemValue);
      }
    });
  }

  void _price(int itemPrice, bool isSelected){
    setState(() {
      if (isSelected) {
        extraprice = extraprice+itemPrice;
      } else {
        extraprice=extraprice-itemPrice;
      }
    });

  }

  @override
  Widget build(BuildContext context) {
    Size scrSize = MediaQuery.of(context).size  ;
    return Scaffold(
      extendBody: true,
      body: Stack(
        children: [
          Container(
              height: scrSize.height*.5,
              width: scrSize.width,
              child: Image(image: AssetImage('assets/food/4.jpg'),fit: BoxFit.cover,)),

          Container(
            margin: EdgeInsets.only(top: scrSize.height*.48),
            height: scrSize.height*.5,
            decoration: BoxDecoration(

              borderRadius: BorderRadius.only(topLeft: Radius.circular(20),topRight: Radius.circular(20)),
              image: DecorationImage(image: AssetImage(
                'assets/food/8.jpg'),fit:BoxFit.cover)
            ),
          ),
          Container(
            margin: EdgeInsets.only(top: scrSize.height*.48),
            height: scrSize.height*5,
            width: scrSize.width,
            child: ClipRRect(
              child: Container(
                color: Colors.transparent,
                child: Stack(
                  children: [
                    BackdropFilter(filter: ImageFilter.blur(sigmaX: 5,sigmaY: 5),
                      child: Container(),),
                    Container(
                      decoration: BoxDecoration(
                          border: Border.all(color: Colors.white.withOpacity(.15),),
                          gradient: LinearGradient(
                              begin: Alignment.topLeft,
                              end: Alignment.bottomRight,
                              colors: [
                                Colors.brown.withOpacity(.5),
                                Colors.brown.withOpacity(.5)
                              ]
                          )
                      ),
                    ),


                  ],
                ),
              ),
            ),
          ),
          SingleChildScrollView(
            child: Column(
              mainAxisSize: MainAxisSize.min,
              children: [
                Container(
                  margin: EdgeInsets.only(top: scrSize.height*.44),
                  padding: EdgeInsets.all(10),
                  height: scrSize.height*.24,
                  width: scrSize.width,
                  child: ClipRRect(borderRadius: BorderRadius.circular(20),
                    child: Container(
                      color: Colors.transparent,
                      child: Stack(
                        children: [
                          BackdropFilter(filter: ImageFilter.blur(sigmaX: 5,sigmaY: 5),
                            child: Container(),),
                          Container(
                            decoration: BoxDecoration(
                                borderRadius: BorderRadius.circular(20),
                                border: Border.all(color: Colors.white.withOpacity(.15),),
                                gradient: LinearGradient(
                                    begin: Alignment.topLeft,
                                    end: Alignment.bottomRight,
                                    colors: [
                                      Colors.white.withOpacity(.15),
                                      Colors.white.withOpacity(.1)
                                    ]
                                )
                            ),
                          ),
                          const Column(
                            mainAxisSize: MainAxisSize.min,
                            crossAxisAlignment: CrossAxisAlignment.start,
                            children: [
                              Padding(
                                padding: EdgeInsets.only(left: 10,top: 15.0),
                                child: Text('FarmHouse',
                                  style: TextStyle(
                                      fontSize: 30,
                                      fontWeight: FontWeight.bold,
                                      color: Colors.white
                                  ),),
                              ),
                              Padding(
                                padding: EdgeInsets.symmetric(horizontal: 10.0,vertical: 15),
                                child: Text('A delectable Pizza with Farm Veggies like Red Onion, Seasoned Mushroom, Exotic Red & yellow Bell Peppers',
                                  style: TextStyle(
                                      color: Colors.white,
                                      fontSize: 20
                                  ),
                                ),
                              )
                            ],
                          ),

                        ],
                      ),
                    ),
                  ),
                ),
                Container(
                  padding: EdgeInsets.all(10),
                  height: scrSize.height*.26,
                  width: scrSize.width,
                  child: ClipRRect(borderRadius: BorderRadius.circular(20),
                    child: Container(
                      color: Colors.transparent,
                      child: Stack(
                        children: [
                          BackdropFilter(filter: ImageFilter.blur(sigmaX: 5,sigmaY: 5),
                            child: Container(),),
                          Container(
                            decoration: BoxDecoration(
                                borderRadius: BorderRadius.circular(20),
                                border: Border.all(color: Colors.white.withOpacity(.15),),
                                gradient: LinearGradient(
                                    begin: Alignment.topLeft,
                                    end: Alignment.bottomRight,
                                    colors: [
                                      Colors.white.withOpacity(.15),
                                      Colors.white.withOpacity(.1)
                                    ]
                                )
                            ),
                          ),
                           Column(
                            mainAxisSize: MainAxisSize.min,
                            crossAxisAlignment: CrossAxisAlignment.start,
                            children: [
                              Padding(
                                padding: EdgeInsets.only(left: 10,top: 15.0),
                                child: Text('Select Size',
                                  style: TextStyle(
                                      fontSize: 30,
                                      fontWeight: FontWeight.bold,
                                      color: Colors.white
                                  ),),
                              ),
                              Theme(
                                data: Theme.of(context).copyWith(
                                  unselectedWidgetColor: Colors.white,
                                  ),
                                child: SizedBox(
                                  height: 40,
                                  child: RadioListTile(
                                      value: 'Small',
                                      groupValue: selectedSize,
                                      onChanged: (selectedValue){
                                        setState(() {
                                          selectedSize=selectedValue!;
                                          price=10;
                                        });
                                      },
                                     title: Text('Small',style: StyleOfText()),
                                      activeColor: Colors.cyan,
                                    secondary: Text('\$10',style: StyleOfText()),

                                  ),
                                ),
                              ),
                              Theme(
                                data: Theme.of(context).copyWith(
                                  unselectedWidgetColor: Colors.white,
                                ),
                                child: SizedBox(height: 40,
                                  child: RadioListTile(
                                    value: 'Medium',
                                    groupValue: selectedSize,
                                    onChanged: (selectedValue){
                                      setState(() {
                                        selectedSize=selectedValue!;
                                        price=20;
                                      });
                                    },
                                    title:  Text('Medium',style: StyleOfText()),
                                    activeColor: Colors.cyan,
                                    secondary: Text('\$20',style: StyleOfText()),
                                  ),
                                ),
                              ),
                              Theme(
                                data: Theme.of(context).copyWith(
                                  unselectedWidgetColor: Colors.white,
                                ),
                                child: SizedBox(height: 40,
                                  child: RadioListTile(
                                    value: 'Large',
                                    groupValue: selectedSize,
                                    onChanged: (selectedValue){
                                      setState(() {
                                        selectedSize=selectedValue!;
                                        price=30;
                                      });
                                    },
                                    title:  Text('Large',style: StyleOfText()),
                                    activeColor: Colors.cyan,
                                    secondary: Text('\$30',style: StyleOfText()),

                                  ),
                                ),
                              ),
                            ],
                          ),

                        ],
                      ),
                    ),
                  ),
                ),
                Container(
                  padding: EdgeInsets.all(10),
                  height: scrSize.height*.5,
                  width: scrSize.width,
                  child: ClipRRect(borderRadius: BorderRadius.circular(20),
                    child: Container(
                      color: Colors.transparent,
                      child: Stack(
                        children: [
                          BackdropFilter(filter: ImageFilter.blur(sigmaX: 5,sigmaY: 5),
                            child: Container(),),
                          Container(
                            decoration: BoxDecoration(
                                borderRadius: BorderRadius.circular(20),
                                border: Border.all(color: Colors.white.withOpacity(.15),),
                                gradient: LinearGradient(
                                    begin: Alignment.topLeft,
                                    end: Alignment.bottomRight,
                                    colors: [
                                      Colors.white.withOpacity(.15),
                                      Colors.white.withOpacity(.1)
                                    ]
                                )
                            ),
                          ),
                          Column(
                            mainAxisSize: MainAxisSize.min,
                            crossAxisAlignment: CrossAxisAlignment.start,
                            children: [
                              Padding(
                                padding: EdgeInsets.only(left: 10,top: 15.0),
                                child: Text('Add Vegetable Topping',
                                  style: TextStyle(
                                      fontSize: 30,
                                      fontWeight: FontWeight.bold,
                                      color: Colors.white
                                  ),),
                              ),
                              CheckboxListTile(
                                controlAffinity: ListTileControlAffinity.leading,
                                selected: isChecked,
                                value: itemList.contains('onion'),
                                onChanged: (val) {
                                 _items('onion', val!);
                                 _price(1, val!);
                                },
                                title: Text('Onion',style: StyleOfText(),),
                                fillColor: MaterialStatePropertyAll(
                                    Colors.cyan
                                ),
                                secondary: Text('+\$1',style: StyleOfText()),
                              ),
                              CheckboxListTile(
                                controlAffinity: ListTileControlAffinity.leading,
                                selected: isChecked,
                                value: itemList.contains('olive'),
                                onChanged: (val){
                                  _items('olive', val!);
                                  _price(2, val!);
                                },
                                title: Text('Black Olives',style: StyleOfText(),),
                                fillColor: MaterialStatePropertyAll(
                                    Colors.cyan
                                ),
                                secondary: Text('+\$2',style: StyleOfText()),
                              ),
                              CheckboxListTile(
                                controlAffinity: ListTileControlAffinity.leading,
                                selected: isChecked,
                                value: itemList.contains('Capsicum'),
                                onChanged: (val){
                                      _items('Capsicum',val!);
                                      _price(1, val!);
                                },
                                title: Text('Capsicum',style: StyleOfText(),),
                                fillColor: MaterialStatePropertyAll(
                                    Colors.cyan
                                ),
                                secondary: Text('+\$1',style: StyleOfText()),
                              ),
                              CheckboxListTile(
                                controlAffinity: ListTileControlAffinity.leading,
                                selected: isChecked,
                                value: itemList.contains('Red Paprika'),
                                onChanged: (val){
                                  _items('Red Paprika',val!);
                                  _price(1, val!);
                                },
                                title: Text('Red Paprika',style: StyleOfText(),),
                                fillColor: MaterialStatePropertyAll(
                                    Colors.cyan
                                ),
                                secondary: Text('+\$1',style: StyleOfText()),
                              ),
                              CheckboxListTile(
                                controlAffinity: ListTileControlAffinity.leading,
                                selected: isChecked,
                                value: itemList.contains('Mushroom'),
                                onChanged: (val){
                                  _items('Mushroom',val!);
                                  _price(2, val!);
                                },
                                title: Text('Mushroom',style: StyleOfText(),),
                                fillColor: MaterialStatePropertyAll(
                                    Colors.cyan
                                ),
                                secondary: Text('+\$2',style: StyleOfText()),
                              ),
                              CheckboxListTile(
                                controlAffinity: ListTileControlAffinity.leading,
                                value: itemList.contains('Green Chilli'),
                                selected: isChecked,
                                onChanged: (val){
                                  _items('Green Chilli',val!);
                                  _price(1, val!);
                                },
                                title: Text('Green Chilli',style: StyleOfText(),),
                                fillColor: MaterialStatePropertyAll(
                                    Colors.cyan
                                ),
                                secondary: Text('+\$1',style: StyleOfText()),
                              ),
                            ],
                          ),

                        ],
                      ),
                    ),
                  ),
                ),
                Container(
                  padding: EdgeInsets.all(10),
                  height: scrSize.height*.5,
                  width: scrSize.width,
                  child: ClipRRect(borderRadius: BorderRadius.circular(20),
                    child: Container(
                      color: Colors.transparent,
                      child: Stack(
                        children: [
                          BackdropFilter(filter: ImageFilter.blur(sigmaX: 5,sigmaY: 5),
                            child: Container(),),
                          Container(
                            decoration: BoxDecoration(
                                borderRadius: BorderRadius.circular(20),
                                border: Border.all(color: Colors.white.withOpacity(.15),),
                                gradient: LinearGradient(
                                    begin: Alignment.topLeft,
                                    end: Alignment.bottomRight,
                                    colors: [
                                      Colors.white.withOpacity(.15),
                                      Colors.white.withOpacity(.1)
                                    ]
                                )
                            ),
                          ),
                          Column(
                            mainAxisSize: MainAxisSize.min,
                            crossAxisAlignment: CrossAxisAlignment.start,
                            children: [
                              Padding(
                                padding: EdgeInsets.only(left: 10,top: 15.0),
                                child: Text('Add Non-Vegetable Topping',
                                  style: TextStyle(
                                      fontSize: 26,
                                      fontWeight: FontWeight.bold,
                                      color: Colors.white
                                  ),),
                              ),
                              CheckboxListTile(
                                controlAffinity: ListTileControlAffinity.leading,
                                value: itemList.contains('Chicken Sausage'),
                                onChanged: (val){
                                  _items('Chicken Sausage',val!);
                                  _price(2, val!);
                                },
                                title: Text('Chicken Sausage',style: StyleOfText(),),
                                fillColor: MaterialStatePropertyAll(
                                    Colors.cyan
                                ),
                                secondary: Text('+\$2',style: StyleOfText()),
                              ),
                              CheckboxListTile(
                                controlAffinity: ListTileControlAffinity.leading,
                                selected: isChecked,
                                value: itemList.contains('BBQ Chicken'),
                                onChanged: (val){
                                  _items('BBQ Chicken',val!);
                                  _price(2, val!);
                                },
                                title: Text('BBQ Chicken',style: StyleOfText(),),
                                fillColor: MaterialStatePropertyAll(
                                    Colors.cyan
                                ),
                                secondary: Text('+\$2',style: StyleOfText()),
                              ),
                              CheckboxListTile(
                                controlAffinity: ListTileControlAffinity.leading,
                                selected: isChecked,
                                value: itemList.contains('Beef Pepperoni'),
                                onChanged: (val){
                                  _items('Beef Pepperoni',val!);
                                  _price(3, val!);
                                },
                                title: Text('Beef Pepperoni',style: StyleOfText(),),
                                fillColor: MaterialStatePropertyAll(
                                    Colors.cyan
                                ),
                                secondary: Text('+\$3',style: StyleOfText()),
                              ),
                              CheckboxListTile(
                                controlAffinity: ListTileControlAffinity.leading,
                                selected: isChecked,
                                value: itemList.contains('Spicy Chicken'),
                                onChanged: (val){
                                  _items('Spicy Chicken',val!);
                                  _price(2, val!);
                                },
                                title: Text('Spicy Chicken',style: StyleOfText(),),
                                fillColor: MaterialStatePropertyAll(
                                    Colors.cyan
                                ),
                                secondary: Text('+\$2',style: StyleOfText()),
                              ),
                              CheckboxListTile(
                                controlAffinity: ListTileControlAffinity.leading,
                                selected: isChecked,
                                value: itemList.contains('Chicken Rasher'),
                                onChanged: (val){
                                  _items('Chicken Rasher',val!);
                                  _price(2, val!);
                                },
                                title: Text('Chicken Rasher',style: StyleOfText(),),
                                fillColor: MaterialStatePropertyAll(
                                    Colors.cyan
                                ),
                                secondary: Text('+\$2',style: StyleOfText()),
                              ),
                              CheckboxListTile(
                                controlAffinity: ListTileControlAffinity.leading,
                                selected: isChecked,
                                value: itemList.contains('Beef Mince'),
                                onChanged: (val){
                                  _items('Beef Mince',val!);
                                  _price(3, val!);
                                },
                                title: Text('Beef Mince',style: StyleOfText(),),
                                fillColor: MaterialStatePropertyAll(
                                    Colors.cyan
                                ),
                                secondary: Text('+\$3',style: StyleOfText()),
                              ),
                            ],
                          ),

                        ],
                      ),
                    ),
                  ),
                ),
                SizedBox(height: 100,)
              ],
            ),
          ),

        ],
      ),
      bottomNavigationBar:  Container(
        color: Colors.transparent,
        padding: EdgeInsets.symmetric(horizontal: 15,vertical: 10),
        child: Row(
          mainAxisAlignment: MainAxisAlignment.spaceBetween,
          children: [
        Container(
          alignment: Alignment.center,
        padding: EdgeInsets.symmetric(vertical: 5),
        height: scrSize.height*.08,
          width: scrSize.width/2,
          decoration: BoxDecoration(
              borderRadius: BorderRadius.circular(20),
              gradient: LinearGradient(
                  begin: Alignment.bottomCenter,
                  end: Alignment.topCenter,
                  colors: [
                    Colors.orange.shade900,
                    Colors.orange.shade600.withOpacity(.8)
                  ]
              ),
          ),
        child: Column(
          children: [
            Text('Total Price',style: StyleOfText(),),
            Row(
              mainAxisAlignment: MainAxisAlignment.center,
              children: [
                Text('\$$price + \$$extraprice',style: StyleOfText(),),
                Text('=',style: StyleOfText(),),
                Text('\$${price + extraprice}', style: StyleOfText()),

              ],
            ),
          ],
        ),
        ),
            Container(
              alignment: Alignment.center,
            height: scrSize.height*.08,
            width: scrSize.width/3,
              decoration: BoxDecoration(
                borderRadius: BorderRadius.circular(20),
                gradient: LinearGradient(
                    end: Alignment.topCenter,
                    begin:Alignment.bottomCenter,
                    colors: [
                      Colors.orange.shade900,
                      Colors.orange.shade600.withOpacity(.8)
                    ]

                )

              ),
              child: Text('Add to Cart',style: StyleOfText(),),
    ),
          ],
        ),
      ),
    );
  }

  TextStyle StyleOfText() {
    return TextStyle(
        fontSize: 22,color: Colors.white
    );
  }
}
